Bug # 2261 (Closed): Need to add PRN labs Dropdown button to ANV2 visit

Request to add labs on PRN menu//Viral load appearing on all visits

14/11/2017 13:19 - Keolebogile Nicholas Mmasa

Status: Closed Start date: 14/11/2017

Priority: Normal Due date:

Assignee: % Done: 50%

Category: Estimated time: 0.00 hour

Target version: Spent time: 13.00 hours

Description

We request that in all infant lab PRN section, all TD infant Labs should appear(Particularly PCR and others).

The same should apply for maternal bloods. The PRN menu should have all the maternal Labs TD does.

History

#1 - 23/11/2017 16:05 - Leslie Kepaletswe

- Parent task set to #2261

#2 - 13/12/2017 15:04 - Keolebogile Nicholas Mmasa

- Status changed from New to In Progress

- % Done changed from 0 to 50

On UAT of the 1020 visit ONLY as discuused with DMC/PI's,

I realised that for NEG mothers, PBMCVL appears as a required labe, but for POS mothers it appears as PRN lab,

We require that this lab appear as PRN instead of required lab.

Its highly unlikely that we would have a PBMCVL req for negative mothers unless they sero-convert which we do not hope for.

#3 - 19/12/2017 14:09 - Keolebogile Nicholas Mmasa

- Tracker changed from Change to Documentation

The PRN at 1020 , and now appearing at 2000 both for NEG and POS mothers as a required laboratory despite my previous instruction to to have it as

required, but as PRN

#4 - 23/01/2018 09:18 - Keolebogile Nicholas Mmasa

- Subject changed from request to add labs on PRN menu to request to add labs on PRN menu// VIRAL LOAD APPEARING ON ALL VISITS

#5 - 31/01/2018 10:34 - Itumeleng Mosweu

- Status changed from In Progress to Resolved

#6 - 31/01/2018 12:27 - Keolebogile Nicholas Mmasa

- Status changed from Resolved to In Progress

issue not resolved.PBMCVL is still appearing as a required LAB at 1020 and it shouldn't.

IN THE INITIAL TICKET, WE HAVE REQUESTED THAT ALL LABS BE AVAILED IN PRN SECTION.

AFTER SEVERAL DISCUSSIONS, IT WAS AGREED AT ONE POINT THAT IF ITS GIVING HEADACHE, CAN WE ATLEAST DEAL WITH VL

APPEARING AS PRN AT 1020 NOT AS  a required lab. again it should not appear as PBMCVL but rather as VL.
#7 - 07/02/2018 12:56 - Leslie Kepaletswe

- Status changed from In Progress to Resolved

#8 - 15/02/2018 12:04 - Keolebogile Nicholas Mmasa

- Status changed from Resolved to In Progress

Viral load for POSITIVE MOTHERS  is NOT appearing as a required lab after update of live server.ITs in the PRN menu.Visits

1010,2000,2010,2020,2060 are visits in which VL is a required lab. The rest other visits IT SHOULD BE PRN.

PS NOTE:On initial ticket we have specified that ALL labs(maternal and infant) should  be in PRN section.

#9 - 21/02/2018 11:56 - Leslie Kepaletswe

- Status changed from In Progress to Resolved

#10 - 01/03/2018 18:10 - Keolebogile Nicholas Mmasa

Viral loads is NOT appearing at all visits.LAtter Issue resolved.

1.BUT WE COULDV NOT TEST THIS ISSUE WITH CONTINUATION APPOINTMENTS/VISITS BECAUSE WE CANNOT ADD CONTINUATION VISIT

.PREVIOSLY CONTINUATION VISIT HAD VL AS PBMC VL..SO IT NEEDS TO BE UAT'D.Once UAT's, this ticket could be closed

2. WE PREVIOUSLY REQUESTED THAT ALL LABS should be in PRN menu.(We can move this one to the V3.0 changes instead.

#11 - 05/03/2018 21:54 - Justine Legbedze

- Subject changed from request to add labs on PRN menu// VIRAL LOAD APPEARING ON ALL VISITS to Request to add labs on PRN menu//Viral load 

appearing on all visits

- Status changed from Resolved to Feedback

Updating status to "feedback" (see Nicholas' comment on 3/1/2018 - UAT pending fix to continuation visit issue).

#12 - 06/03/2018 16:44 - Leslie Kepaletswe

Nicholas suggested that there is need to add all resulted labs on both the mother and infant visits.

I have added VL and All Glucose labs on the mother's followup visits, is there something that I missed for the mother?

For the infant I added the glucose lab to all infant visits, elisa was already there in the followup visits, is there anything else that I missed for the infant?

Please update so I revert on the system accordingly.

#13 - 14/03/2018 08:36 - Keolebogile Nicholas Mmasa

- File no prn labs.pdf added

- File no prn section for infant.pdf added

Issue not resolved.PRN section still missing on visits and if its available, it ONLY VL for mother and PCR for infant.ISSUE NOT CLOSED

EXAMPLE: ATTACHED PIDS
#14 - 21/03/2018 16:27 - Keolebogile Nicholas Mmasa

- File PRN LABS REQUISITIONS.docx added

TABLE ATTACHED

#15 - 28/03/2018 10:58 - Leslie Kepaletswe

- Status changed from Feedback to Resolved

#16 - 06/04/2018 13:47 - Keolebogile Nicholas Mmasa

- File continuation visit with PCR as required.pdf added

- File infant continuation visit missing PRN labs.pdf added

- Status changed from Resolved to In Progress

We appreciate that you customised the list that we gave out (as attachement0 and was not followed pound for pound, that is OK since we want this ticket

to close now.

However, FOR THE infant  CONTINUATION VISIT, i still see PCR as required lab, please we want it as PRN in the continuation visit.Also, we would  like

to see: Glucose,PCR,INSULIN,Plasma/PBMS store,ELISA, DBS store (you would realise that this is ALL infant reqs in TD).

Same thing for maternal, If at-least in the continuation visit, we could have PRN covering ALL the reqs (VL,PBMCVL,Fasting glucose, 1hr,2hr, cd4).

If this could be added to continuation vsit, we woudl close this ticket.

see form attached

#17 - 10/04/2018 11:33 - Leslie Kepaletswe

- Status changed from In Progress to Feedback

Inorder to have all the labs on the continuation appointment they will have to be added to the preceding appointment, e.g continuation appointment for 2010

will show labs that originally appeared for 2010, should we go ahead and make this change?

#18 - 25/04/2018 14:39 - Keolebogile Nicholas Mmasa

- Status changed from Feedback to In Progress

We would appreciate if we could have  ATLEAST VL/CD4/GLUCOSES APPEAR AS PRN IN ALL MATERNAL VISITS AND FOR INFANT VISIT,

PCR,GLUCOSE AND ELISA AS PRN WOULD BE APRECIATED.

#19 - 07/05/2018 17:16 - Anonymous

- Status changed from In Progress to Resolved

#20 - 16/05/2018 14:01 - Keolebogile Nicholas Mmasa

- File INFANT PCR REQUIRED.pdf added

- File ELISA REQUIRED at continuation visit.pdf added

- Status changed from Resolved to Feedback

AFTER PART UAT,the following were realized: infant DNA PCR appeared as a required lab at 2120(see attached)we want it as PRN

ELISA was required at 2180.1, continuation visit>we want it as PRN (see attahced)

In addition:
for the negative mothers: at 2180, YOu only have PCR as PRN. how about other labs?(Gluc/insul/elisa/pbmc?)

The scenario is same for continuation visit in HUU.

this UAT was done onyl in participants who have agreed version 3.I am yet to test on participants who were not reconsented to V3

#21 - 17/05/2018 20:11 - Keolebogile Nicholas Mmasa

- File NO PRN LABS.pdf added

- File Edc BHP085 Maternal Dashboard _ Tshilo Dikotla.pdf added

- File dbs store at continuation visit.pdf added

UAT done on V1 particiapants.Just like the ones provided, ELISA was required at 2180.1..Kindly move it to PRN

infant PCR was required at 2010.1(also at 2020.1 etc)...moved it to PRN

at 2000, no PRN labs.Please add.

Infant :HUU at 2010.1, we have DBS sa required.That was a wierd one.Please shift to PRN

maternal: at 2000.1, no VL at PRN..please add.

At 1010, You ahve PMCVL as required at 1010.1 or 1020.1.Please let it be VL in PRN,

#22 - 23/05/2018 12:06 - Leslie Kepaletswe

- Status changed from Feedback to Resolved

#23 - 28/05/2018 15:19 - Keolebogile Nicholas Mmasa

- File failed to add cd4,,yellow screen.pdf added

- File infant failed to add labs.pdf added

- Status changed from Resolved to Feedback

As per conversation with Lesle, The following are still pending:

At 2000 infant visit, NO PRN at all, and At 2000.1 infant visit add PCR to PRN.

After our meeting the following came up: inability to add Labs, both maternal and infant.(See attached). I was not able to add CD4 from PRN menu..For

infant i was not able to add Glucose from the required menu. TO UAT on 29-May-18.

#24 - 12/06/2018 11:19 - Leslie Kepaletswe

- Status changed from Feedback to Resolved

Please test on the Protocol Changes test server and give feedback. Thanks.

#25 - 13/06/2018 12:39 - Keolebogile Nicholas Mmasa

- Status changed from Resolved to Feedback

Keolebogile Nicholas Mmasa wrote:

UAT done on V1 particiapants.Just like the ones provided, ELISA was required at 2180.1..Kindly move it to PRN

infant PCR was required at 2010.1(also at 2020.1 etc)...moved it to PRN

at 2000, no PRN labs.Please add.
Infant :HUU at 2010.1, we have DBS sa required.That was a wierd one.Please shift to PRN

maternal: at 2000.1, no VL at PRN..please add.

At 1010, You ahve PMCVL as required at 1010.1 or 1020.1.Please let it be VL in PRN,

This issue is not resolved: DBS still shows as a required lab at 2010.1

#26 - 18/06/2018 12:06 - Keolebogile Nicholas Mmasa

- Status changed from Feedback to Closed

Resolved.At 2120.1.

Closed

Files

no prn labs.pdf 93.7 KB 14/03/2018 Keolebogile Nicholas Mmasa

no prn section for infant.pdf 85.8 KB 14/03/2018 Keolebogile Nicholas Mmasa

PRN LABS REQUISITIONS.docx 15.7 KB 21/03/2018 Keolebogile Nicholas Mmasa

continuation visit with PCR as required.pdf 84.8 KB 06/04/2018 Keolebogile Nicholas Mmasa

infant continuation visit missing PRN labs.pdf 84.1 KB 06/04/2018 Keolebogile Nicholas Mmasa

INFANT PCR REQUIRED.pdf 85.3 KB 16/05/2018 Keolebogile Nicholas Mmasa

ELISA REQUIRED at continuation visit.pdf 87.4 KB 16/05/2018 Keolebogile Nicholas Mmasa

NO PRN LABS.pdf 85.3 KB 17/05/2018 Keolebogile Nicholas Mmasa

Edc BHP085 Maternal Dashboard _ Tshilo Dikotla.pdf 87.8 KB 17/05/2018 Keolebogile Nicholas Mmasa

dbs store at continuation visit.pdf 86.7 KB 17/05/2018 Keolebogile Nicholas Mmasa

failed to add cd4,,yellow screen.pdf 235 KB 28/05/2018 Keolebogile Nicholas Mmasa

infant failed to add labs.pdf 236 KB 28/05/2018 Keolebogile Nicholas Mmasa
